%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		gtkpod
Summary:	GTK interface to iPod
Version:	2.1.0
Release:	%mkrel 3
Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%version.tar.gz
Patch1:		gtkpod-2.1.0-gtk_box.patch
Patch2:		gtkpod-2.1.0-pref.patch
URL:		http://gtkpod.sourceforge.net/
License:	GPLv2+
Group:		Communications
BuildRequires:	libid3tag-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	libgpod-devel >= 0.7.0
BuildRequires:	libvorbis-devel
BuildRequires:	libflac-devel
BuildRequires:	glib2-devel >= 2.15
BuildRequires:	gtk+3-devel
BuildRequires:	libcurl-devel
BuildRequires:	flex
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	anjuta-devel
BuildRequires:	libgdl-devel
BuildRequires:	webkitgtk3-devel
BuildRequires:	gstreamer0.10-devel

%if %{build_plf}
BuildRequires:	libfaad2-devel
Requires:	faad2
%endif

Suggests:	%mklibname mp4v2_ 1

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.
%if %{build_plf}
This package is in "Tainted" as it requires package from "Tainted".
%endif

%package -n %{libname}
Summary:	Library package for %{name}
Group:		Communications

%description -n %{libname}
Library package for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Communications
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Development files for %{name}, you need this package if you want to compile
applications against %{name}.

%prep
%setup -q
%patch1 -p1 -b .gtk_box
%patch2 -p1 -b .pref

%build
autoreconf -vfi
%configure2_5x \
%if !%{build_plf}
	--without-faad \
%endif
	--disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

desktop-file-install --vendor="" \
  --add-mime-type="x-content/audio-player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_datadir}/glib-2.0/schemas/*.xml
%{_bindir}/%{name}
%{_libdir}/%{name}/*.plugin
%{_libdir}/%{name}/*.so
%{_datadir}/%{name}
%{_datadir}/applications/gtkpod.desktop
%{_datadir}/icons/hicolor/*/apps/gtkpod.*
%{_mandir}/man1/gtkpod.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgtkpod.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/gtkpod/
%{_libdir}/libgtkpod.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Sat Nov 26 2011 wally <wally> 2.1.0-3.mga2
+ Revision: 172434
- autoreconf sources
- fix tainted build requires
- new version 2.1.0
- enable tainted build
- drop P0, add P1 and P2 from OpenSUSE
- clean .spec a bit

  + dmorgan <dmorgan>
    - Rebuild against new libgdl

  + fwang <fwang>
    - rebuild for new gdl

* Tue Jun 21 2011 fwang <fwang> 2.1.0-0.20110621.2.mga2
+ Revision: 111341
- rebuild

* Tue Jun 21 2011 fwang <fwang> 2.1.0-0.20110621.1.mga2
+ Revision: 111174
- disable certain plugins, as they report errors when compiling
- new version 2.1.0 snapshot

* Sun May 15 2011 pterjan <pterjan> 2.0.0-5.mga1
+ Revision: 99001
- Rebuild for fixed find-requires

* Sat Apr 30 2011 misc <misc> 2.0.0-4.mga1
+ Revision: 94002
- increase Release to let people upgrade even from backport

* Wed Apr 20 2011 ahmad <ahmad> 2.0.0-1.mga1
+ Revision: 89311
- Update to 2.0.0
- Add lib package
- Drop patch3 (mountpoint), fixed upstream
- Rediff patch1 (cover.patch)
- Add patch to fix format string
- Add patch to fix building with deprecated GTK+ API
- Add BR: anjuta-devel, libgdl-devel, webkitgtk-devel, gstreamer0.10-devel
- Disable static building, and don't ship .la
- m4a plugin is disabled as it require faad2-devel BR, remember to enable it
  once we can build packages for two targets

* Sat Feb 26 2011 supp <supp> 1.0.0-1.mga1
+ Revision: 60098
- imported package gtkpod

